Skip to main content

Introduction

The Kaunt API is based on HTTPs and REST with JSON as the payload format. This means that you must usually add the following headers to your request:

Content-Type: application/json
Accept: application/json

For developers who have worked with REST APIs before, the experience of integrating into Kaunt will most likely be a familiar experience.

Getting started

Learn the foundations for using the Kaunt REST API, starting with authentication and a simple endpoint example to get you started with your first API request.

Before you start

You will need:

  • A Kaunt account.
  • A client ID and client secret.

Your first request

Step 1: Obtain API credentials

API credentials can be generated on the Kaunt Partner Portal.

Step 2: Generate an Access Token

Please refer to the Authentication section.

Step 3: Submit a request

Use the base URL for your region (see Regions & Base URLs). Example using the Europe sandbox:

curl -X GET "https://sandbox-api.kaunt.com/v1/tenants/{tenantId}/ping" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {TOKEN}"

What you should receive:

{
"result": {
"message": "Pong"
},
"correlationId": "{correlationId}",
"isSuccess": true
}

If you received a response similar to the example above you now have access to the Kaunt API. Please consult the Invoice Coding Integration Guide and Document AI Integration Guide to go more in depth with the integration of Kaunt.

Environments

We provide you with two different environments: Sandbox and Production. See Regions & Base URLs for all regional URLs.

The sandbox environment works the same way as production and should be used for development and testing. We encourage you to use real-world production data when working with our sandbox environment. Invoices etc. are complex objects and production data ensures your data and logic is consistent and relevant when migrating the integration towards our production API.

Sandbox limitation

InvoiceCodingProposals are mocked in the sandbox environment. The proposals returned will not reflect real AI predictions. Use the production environment to validate actual coding accuracy.

Experiencing issues?

Every authorized request returns a unique correlationId in the response body. If you need to get in touch with us about a specific issue regarding the API, providing us with the response correlationId will ensure the fastest and most reliable resolution of your issue. Feel free to contact us.